%define name atmel-firmware
%define version 1.3
%define release %mkrel 12
%define url http://www.thekelleys.org.uk/

Summary:	Firmware for Atmel at76c50x wireless network chips
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Redistributable, no modification permitted
Group:		System/Kernel and hardware
URL:		%{url}
Source0: 	%{name}-%{version}.tar.bz2
BuildArch:	noarch

%description
The drivers for Atmel at76c50x wireless network chipss in the
Linux 2.6.x kernel and at http://at76c503a.berlios.de/ do not 
include the firmware and this firmware needs to be loaded by 
the host on most cards using these chips. 
This package provides the firmware images which 
should be automatically loaded as needed by the hotplug system. It also 
provides a small loader utility which can be used to accomplish the 
same thing when hotplug is not in use. 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/lib/firmware
cp images/* $RPM_BUILD_ROOT/lib/firmware
cp images.usb/* $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING 
/lib/firmware/*.bin


%changelog
* Fri Apr 15 2022 umeabot <umeabot> 1.3-12.mga9
+ Revision: 1850293
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 1.3-11.mga8.nonfree
+ Revision: 1548596
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3-10.mga7.nonfree
+ Revision: 1277617
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 1.3-9.mga6.nonfree
+ Revision: 1109178
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5.nonfree
+ Revision: 746784
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-7.mga5.nonfree
+ Revision: 678024
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.3-6.mga4.nonfree
+ Revision: 548326
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3.nonfree
+ Revision: 346529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 ahmad <ahmad> 1.3-4.mga1
+ Revision: 67831
- sync License with Fedora
- imported package atmel-firmware


* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2010.0
+ Revision: 433202
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-2mdv2009.0
+ Revision: 241715
- rebuild
- import atmel-firmware


* Wed Aug  9 2006 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2007.0
- 1.3
- install in /lib/firmware
- remove old PCMCIA configuration and hack
- don't package atmel_fwl, it's unused and this package is noarch
- remove hardcoded packager and prefix tags
- fix summary ended with dot
- drop hotplug requires

* Mon Sep 13 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.1-1mdk
- 1.1.

* Mon Feb 16 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.7-1mdk
- First version for Mandrake Linux distribution
